POST
/v1/auth/oauth/authorize/update

Authorization

Descope Project ID:Refresh JWT
AuthorizationBearer <token>

Project ID:Refresh JWT as bearer token.

In: header

Query Parameters

provider?string
redirectUrl?string
allowAllMerge?boolean
prompt?array<string>
string
loginHint?string
initiatedEmail?string

Request Body

application/json

stepup?boolean
Defaultfalse
customClaims?object

Custom claims to include in the JWT as key-value pairs. Keys must be strings; values can be strings, numbers, or booleans.

Example{ "claim-name": "claim-value" }
mfa?boolean
Defaultfalse
ssoAppId?string
templateOptions?object
locale?string
pkceChallenge?string

relevant only for enchanted links in the point in time - other methods will ignore this field

Formatbytes
revokeOtherSessions?boolean
revokeOtherSessionsTypes?array<string>
string
tenantId?string

Creating OAuth redirect URI for update user request

curl -X POST "https://api.descope.com/v1/auth/oauth/authorize/update" \  -H "Content-Type: application/json" \  -d '{}'
{  "url": "string",  "errorId": "string"}
export interface Response {url?: stringerrorId?: string}
Was this helpful?